package NDSm;

use strict;
use vars qw($BIN_DEBUG $REGUSER $REGCODE $VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require DynaLoader;


@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(

);
$VERSION = '0.13.04';

# Registration information
$REGUSER = 'Shareware';
$REGCODE = 000000000; # 396584930;
# 


bootstrap NDSm $VERSION;

# Preloaded methods go here. 


# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

NDSm - Perl extension for Novell NDS manipulation.

=head1 SYNOPSIS

  use NDSm;
   
  You should not use this module directly, 
  see 

L<NDSContext> 

  or

L<Buf_T>


=head1 DESCRIPTION

This module enable perl 5 or higher to interact with Novell NDS through
Novell's NDS API (NDS service group).
This module's version indicates the version of the Novell SDK supported.
Because this is a very early BETA testtesttesttest version I don't
recomend anyone to use it in a production environment.
Creating inconsistense in a NDS database is NOT a good thing to do.
Online docs can be found at http://www.ahs.hist.no/distr/NDSm/


For all you out there who want to use this PRE BETA:

Because I've only got a NT workstation, Perl Standard release (5.004_02),
a couple of Novell 4.11 servers and don't want to release the
source before I've done a major cleanup you can only use this module
if you have ditto equipment and software.
You should also be aware that the NDSm API may change A LOT before I can say
I've got a RELEASE.


=head1 AUTHOR

Steinar Kleven Steinar.Kleven@ahs.hist.no

=head1 SEE ALSO

L<NDSContext>

L<Misc> 

L<NWServer>

L<Buf_T>      

http://www.ahs.hist.no/distr/NDSm/      

http://developer.novell.com/


=head1 COPYRIGHT

  Copyright (c) Steinar Kleven 1997.
  All rights reserved.

=head1 AUTHOR

  Steinar Kleven, 
  mailto:Steinar.Kleven@ahs.hist.no



=cut
